Skip to main content
POST
/
api
/
v1
/
siloc
/
participants
Register a participant
curl --request POST \
  --url https://siloc.sandbox.lerian.net/api/v1/siloc/participants \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ispb": "<string>",
  "name": "<string>",
  "settlingInstitutionIspb": "<string>"
}
'
import requests

url = "https://siloc.sandbox.lerian.net/api/v1/siloc/participants"

payload = {
"ispb": "<string>",
"name": "<string>",
"settlingInstitutionIspb": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ispb: '<string>', name: '<string>', settlingInstitutionIspb: '<string>'})
};

fetch('https://siloc.sandbox.lerian.net/api/v1/siloc/participants', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "ispb": "<string>",
  "name": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z",
  "settlingInstitutionIspb": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT bearer token issued by the identity provider.

Headers

Idempotency-Key
string

Idempotency key, max 255 characters.

Maximum string length: 255

Body

application/json
ispb
string
required

8-digit BACEN ISPB.

Pattern: ^[0-9]{8}$
Example:

"46026562"

name
string
required

Participant legal name.

Maximum string length: 200
role
enum<string>
required

Participant role.

Available options:
DIRECT,
INDIRECT,
SETTLING_INSTITUTION
settlingInstitutionIspb
string

Required when role is INDIRECT.

Pattern: ^[0-9]{8}$

Response

Created

createdAt
string<date-time>
required

Creation timestamp.

id
string<uuid>
required

Participant id.

ispb
string
required

8-digit BACEN ISPB.

Pattern: ^[0-9]{8}$
Example:

"46026562"

name
string
required

Participant legal name.

Maximum string length: 200
role
enum<string>
required

Participant role.

Available options:
DIRECT,
INDIRECT,
SETTLING_INSTITUTION
status
enum<string>
required

PAG0101 operational status.

Available options:
1,
2,
3,
6,
7,
8,
9
updatedAt
string<date-time>
required

Last-update timestamp.

settlingInstitutionIspb
string

For an indirect participant, the ISPB of its settling institution.

Pattern: ^[0-9]{8}$